Lazarus

Programming => Operating Systems => Other => Topic started by: Alextp on October 08, 2017, 12:32:47 pm

Title: FreeBSD: Lazarus app with libiconv, cannot run on FreeBSD 11.1 x64
Post by: Alextp on October 08, 2017, 12:32:47 pm
I copy here my report from bugtracker, Juha says it is not valid.
==
App is CudaText.
It's binary file don't run, until I make symlink: libiconv.so.3 => libiconv.so.2
App cannot find libiconv.so.3 on start.
And I installed xfce desktop [with GTK2 and GTK3].
So needing of this file in an issue.
Pls use only libiconv.so.2.
Title: Re: FreeBSD: Lazarus app with libiconv, cannot run on FreeBSD 11.1 x64
Post by: JuhaManninen on October 08, 2017, 01:01:28 pm
This is the report:
 https://bugs.freepascal.org/view.php?id=32521
I still say it is a FreeBSD issue. You should create a minimal Pascal program to analyse the problem. Use iconvenc from FPC sources. As you can see the libiconv version is not defined there.
Again I must ask you to analyse a bug at least so much that you know which project causes it.

The FreeBSD users may read the fpc-pascal mailing list more than this forum. Not sure...
Title: Re: FreeBSD: Lazarus app with libiconv, cannot run on FreeBSD 11.1 x64
Post by: marcov on October 08, 2017, 02:19:24 pm
I commented on the bug. My guess is that the binary was made on a different system?

*nix binaries are only limitedly portable between systems.
Title: Re: FreeBSD: Lazarus app with libiconv, cannot run on FreeBSD 11.1 x64
Post by: Alextp on October 08, 2017, 02:28:44 pm
Freebsd binary was made on Ubuntu x64.
Title: Re: FreeBSD: Lazarus app with libiconv, cannot run on FreeBSD 11.1 x64
Post by: JuhaManninen on October 08, 2017, 02:44:14 pm
Freebsd binary was made on Ubuntu x64.
Here you go ... :)
Title: Re: FreeBSD: Lazarus app with libiconv, cannot run on FreeBSD 11.1 x64
Post by: marcov on October 08, 2017, 03:05:29 pm
Freebsd binary was made on Ubuntu x64.

Then make sure that that ubuntu x64 installation has libiconv.so pointing to the version that you want.